Description

I'm trying to run the TwitterMonitor application but the 2 SmartExecutor plugins seem to be not running.

I use the Infrastructure Monitor web application and select the gCubeApps/SoBigData.eu scope: the twittermon1.d4science.org

machine is listed but in its description I find no plugins. There should be two plugins installed: TwitterMonitorCron and

TwitterMonitorCrawler. In addition some PHP scripts should also be installed on the same machine.

The software is available in the TwitterMonitor folder inside my Workspace (

http://data.d4science.org/workspace-explorer-app?folderId=NFpHemcySHcycVhGWTZOZ0FCMHVlNE5OdzR1QU9yVW12a0FkdW

VxdERraTRhaERrZWJtM0lUZjAybm9sMm1mZA).

See also the previous ticket #9725.

I also tried to use the SmartExecutorProxy.launch function of smart-executor-api, but it raises the following exception:

org.gcube.common.clients.exceptions.DiscoveryException: No running SmartExecutor wich match the requested conditions.

For the discovery I used my token from https://services.d4science.org/group/sobigdata.eu page.

History

#1 - Oct 23, 2017 05:09 PM - Roberto Cirillo

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

#2 - Oct 23, 2017 05:16 PM - Roberto Cirillo

- Status changed from New to In Progress

#3 - Oct 23, 2017 06:03 PM - Roberto Cirillo

- Assignee changed from Roberto Cirillo to Luca Frosini

I've tried to restart the service but nothing change. I've set the log level to debug for further analysis.

In development environment the twittermon instance works properly. In initialization phase in dev I see the following:

17:48:50.875 [pool-8-thread-2] DEBUG SmartExecutorInitializator: Getting Available Plugins and their own suppo

rted capabilities

17:48:50.876 [pool-8-thread-2] DEBUG PluginManager: Loading plugins available on classpath

17:48:50.890 [pool-8-thread-2] DEBUG PluginManager: TwitterMonitorCrawler plugin found

17:48:50.891 [pool-8-thread-2] DEBUG TwCrawlerDecl: Plugin iit.wafi.gcube.twmon.crawler.TwCrawlerDecl

17:48:50.878 [pool-8-thread-1] DEBUG PluginManager: TwitterMonitorCrawler plugin found

17:48:50.893 [pool-8-thread-1] DEBUG TwCrawlerDecl: Plugin iit.wafi.gcube.twmon.crawler.TwCrawlerDecl

17:48:50.894 [pool-8-thread-2] DEBUG PluginManager: TwitterMonitorCron plugin found

17:48:50.895 [pool-8-thread-2] DEBUG TwCronDecl: Plugin iit.wafi.gcube.twmon.cron.TwCronDecl

17:48:50.896 [pool-8-thread-2] DEBUG PluginManager: TwitterMonitorTestWorkspace plugin found

17:48:50.896 [pool-8-thread-2] DEBUG TwTestWSDecl: Plugin iit.wafi.gcube.twmon.tests.TwTestWSDecl

17:48:50.896 [pool-8-thread-2] DEBUG SmartExecutorInitializator: Creating ServiceEndpoint to publish on IS ava

ilable plugins and their own supported capabilities

17:48:50.899 [pool-8-thread-2] TRACE SmartExecutorInitializator: Trying to parse 1.5.0-SNAPSHOT

17:48:50.899 [pool-8-thread-2] TRACE SmartExecutorInitializator: Parsing version slice n. 0 wich is '1'

17:48:50.899 [pool-8-thread-2] TRACE SmartExecutorInitializator: Version slice n. 0 wich is '1' parsed as shor

t 1

17:48:50.900 [pool-8-thread-2] TRACE SmartExecutorInitializator: Parsing version slice n. 1 wich is '5'

17:48:50.900 [pool-8-thread-2] TRACE SmartExecutorInitializator: Version slice n. 1 wich is '5' parsed as shor

t 5

17:48:50.900 [pool-8-thread-2] TRACE SmartExecutorInitializator: Parsing version slice n. 2 wich is '0'

17:48:50.900 [pool-8-thread-2] TRACE SmartExecutorInitializator: Version slice n. 2 wich is '0' parsed as shor

t 0

17:48:50.900 [pool-8-thread-2] TRACE SmartExecutorInitializator: Parsing version slice n. 3 wich is 'SNAPSHOT'

17:48:50.901 [pool-8-thread-2] TRACE SmartExecutorInitializator: Version slice n. 3 wich is 'SNAPSHOT' failed 
to parse. The default value 0 will be used

17:48:50.901 [pool-8-thread-2] TRACE SmartExecutorInitializator: Version 1.5.0-SNAPSHOT parsed as [1, 5, 0, 0]

17:48:50.907 [pool-8-thread-1] DEBUG PluginManager: TwitterMonitorCron plugin found

17:48:50.907 [pool-8-thread-1] DEBUG TwCronDecl: Plugin iit.wafi.gcube.twmon.cron.TwCronDecl

17:48:50.908 [pool-8-thread-1] DEBUG PluginManager: TwitterMonitorTestWorkspace plugin found

17:48:50.908 [pool-8-thread-1] DEBUG TwTestWSDecl: Plugin iit.wafi.gcube.twmon.tests.TwTestWSDecl

17:48:50.908 [pool-8-thread-1] DEBUG SmartExecutorInitializator: Creating ServiceEndpoint to publish on IS ava

ilable plugins and their own supported capabilities

17:48:50.909 [pool-8-thread-1] TRACE SmartExecutorInitializator: Trying to parse 1.5.0-SNAPSHOT

17:48:50.909 [pool-8-thread-1] TRACE SmartExecutorInitializator: Parsing version slice n. 0 wich is '1'

17:48:50.909 [pool-8-thread-1] TRACE SmartExecutorInitializator: Version slice n. 0 wich is '1' parsed as shor

t 1

17:48:50.909 [pool-8-thread-1] TRACE SmartExecutorInitializator: Parsing version slice n. 1 wich is '5'

17:48:50.909 [pool-8-thread-1] TRACE SmartExecutorInitializator: Version slice n. 1 wich is '5' parsed as shor

t 5

17:48:50.910 [pool-8-thread-1] TRACE SmartExecutorInitializator: Parsing version slice n. 2 wich is '0'

17:48:50.910 [pool-8-thread-1] TRACE SmartExecutorInitializator: Parsing version slice n. 3 wich is 'SNAPSHOT'

17:48:50.910 [pool-8-thread-1] TRACE SmartExecutorInitializator: Version slice n. 3 wich is 'SNAPSHOT' failed 

to parse. The default value 0 will be used

17:48:50.910 [pool-8-thread-1] TRACE SmartExecutorInitializator: Version 1.5.0-SNAPSHOT parsed as [1, 5, 0, 0]

17:48:50.968 [pool-8-thread-1] DEBUG SmartExecutorInitializator: The created ServiceEndpoint profile is

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>

<Resource version="0.4.x">

    <ID>d9748616-69d5-4d82-ad0c-ec40987aa0f6</ID>

    <Type>RuntimeResource</Type>

    <Profile>

        <Category>VREManagement</Category>

        <Name>SmartExecutor</Name>

        <Version>1.5.0-SNAPSHOT</Version>

        <Description>Smart Executor Service</Description>

        <Platform>

            <Name>node19.d4science.org:80</Name>

            <Version>1</Version>

            <MinorVersion>5</MinorVersion>

            <RevisionVersion>0</RevisionVersion>

            <BuildVersion>0</BuildVersion>

        </Platform>

        <RunTime>

            <HostedOn>node19.d4science.org:80</HostedOn>

            <Status>online</Status>

        </RunTime>

        <AccessPoint>

            <Description>Twitter Monitor Crawler</Description>

            <Interface>

                <Endpoint EntryName="TwitterMonitorCrawler"/>

            </Interface>

            <Properties>

                <Property>

                    <Name>Version</Name>

                    <Value encrypted="false">1.0.0</Value>

                </Property>

            </Properties>

        </AccessPoint>

        <AccessPoint>

            <Description>Twitter Monitor Cron</Description>

            <Interface>

                <Endpoint EntryName="TwitterMonitorTestWorkspace"/>

            </Interface>

            <Properties>

                <Property>

                    <Name>Version</Name>

                    <Value encrypted="false">1.0.0</Value>

                </Property>

            </Properties>

        </AccessPoint>

        <AccessPoint>

            <Description>Twitter Monitor Cron</Description>

            <Interface>

                <Endpoint EntryName="TwitterMonitorCron"/>

            </Interface>

            <Properties>

                <Property>

                    <Name>Version</Name>

                    <Value encrypted="false">1.0.0</Value>

                </Property>
            </Properties>

        </AccessPoint>

    </Profile>

</Resource>

 but in production environment I don't see nothing of this:

17:22:49.164 [pool-8-thread-1] DEBUG SmartExecutorInitializator: Getting Available Plugins and their own suppo

rted capabilities

17:22:49.168 [pool-8-thread-1] DEBUG PluginManager: Loading plugins available on classpath

17:22:49.180 [pool-8-thread-1] DEBUG DefaultScopeProvider: resetting scope in thread 36

17:27:31.829 [pool-1-thread-1] INFO  ProfileManager: Publish after profile Change event called

 Please notice that in production we have a more recent smartgears version (but not the latest). I'm going to assign this ticket to

@luca.frosini@isti.cnr.it for further analysis.

#4 - Oct 24, 2017 03:14 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Luca Frosini to Salvatore Minutoli

- % Done changed from 0 to 100

The plugins have been upgraded with the new version provided by @salvatore.minutoli@iit.cnr.it . I've also added the TwitterMonitorDatabase

ServiceEndpoint to the SoBigData.eu VRE.

Please @salvatore.minutoli@iit.cnr.it could you check and give me a feedback?

#5 - Oct 24, 2017 03:33 PM - Salvatore Minutoli

Now I'm able to see the plugins in the Infrastructure Monitor.

The script using the SmartExecutorProxy.launch function of smart-executor-api is also able to start the plugin.

#6 - Oct 24, 2017 03:34 PM - Salvatore Minutoli

- Status changed from Feedback to Closed
